Bug 6288 - Приложить патч от natspec
: Приложить патч от natspec
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/mount)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-20 22:30 by
Modified: 2013-08-15 17:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-20 22:30:33
Как вы смотрите на то, чтобы собрать mount с патчем  
util-linux-2.12p-natspec.patch (он лежит в пакете libnatspec-devel-examples)?  
Это позволит не указывать кодировки при монтировании.  
Подобная сборка тестируется уже почти месяц с файловыми системами 
ext3/reiserfs/iso9660/vfat/nfs.
------- Comment #1 From 2005-04-21 14:44:30 -------
Очень бы хотелось сделать это как можно раньше, чтобы libnatspec и её
использование было широко протестировано _до_ выхода Compact'а (где от неё
будет
много пользы).
------- Comment #2 From 2005-04-21 17:58:59 -------
постараюсь, на занятость на том самом Compact 3.0 не позволяет это быстро
сделать.
------- Comment #3 From 2005-06-25 21:14:14 -------
Тщательно посмотрел патч (не сам natspec, а только патч для mount).
К сожалению, изменения в try_mount_one() несовместимы с кодом поддержки nfs в
той же функции.  Впрочем, это должно быть не очень сложно исправить.
------- Comment #4 From 2005-06-25 23:56:27 -------
Если natspec_get_enriched_fs_options вернёт NULL, то будут неприятности.
Это тоже должно быть поправимо.
------- Comment #5 From 2005-06-27 11:46:00 -------
Дим, насколько понимаю -- Виталик до конца недели offline; т.к. сроки выхода
ALC3 мне непонятны совсем (кроме того, что хочется побыстрей и зимний прогноз
слетел на два месяца уже, что некоторые и предполагали), то можно предложить
такие варианты:

- я собираю, кладу на people и анонсирую NMU-like пакет util-linux с включением
этого патча с тем, чтобы люди могли погонять по функциональности; при этом
Виталик (или кто-либо ещё адекватный по вопросу -- может, sr@ заглянет) фиксит
по крайней мере патч, по завершении переходим к библиотеке;

- забить.

Если честно, то это N+1-й момент, на котором я бы настоятельно предложил
зафиксировать ожидаемый выпуск Compact 3.0 к началу сентября и делать работы
как-то более прогнозируемо.  В принципе, можно попробовать выкрутиться так --
3.0 ASAP и ожидаемо -- 3.0.1, в который вкатить замеченные/известные и
доправленные исправления, не меняя бинарной совместимости.  Поскольку многие
неприятные (неприемлемые) моменты заключаются в достаточно ортогональных ABI
вещах, это мне кажется вполне вариантом.

2 rider: тебе -- вариант?
------- Comment #6 From 2005-06-28 10:13:43 -------
сроки выхода 3.0 давно просрочены

я планирую на этой неделе все-таки сделать branch, в котором мы и будем
вертеться по 3.0

могу сказать одно: на этой неделе 3.0 будет запущен в промышленную эксплуатацию
одним из наших OEM партнеров.
------- Comment #7 From 2005-11-13 22:01:44 -------
В этом тысячелетии реально интегрировать этот патч? ;)
------- Comment #8 From 2005-11-14 01:54:03 -------
Не уверен.  Не похоже, чтобы Стас планировал заниматься этим пакетом в
обозримом
будущем, а мне важнее, чтобы не стало хуже.
Впрочем, я говорю про Сизиф, а в Компакт можно включить что угодно, я за этим
продуктом не очень внимательно слежу, может оно там и есть.
------- Comment #9 From 2005-11-14 11:03:49 -------
Может быть стоит рассмотреть вопрос о доп. репозитории, где будут собираться 
пакеты, не могущие войти в Сизиф по таким причинам? Типа wks против std в 
ядрах... 
Скажу сразу, что мне всё равно его придётся делать в скором времени, 
постоянная времени мантейнеров пакетов слишком велика. 
------- Comment #10 From 2005-11-14 16:38:43 -------
в Compact'е и в 3.0 пакет mount не содержит этого патча. Вероятность его
появления там есть, но после того, как пройдет обкатку в Sisyphus.
------- Comment #11 From 2007-06-13 11:13:37 -------
Кстати.  В Desktop 4.0 будет?
------- Comment #12 From 2007-06-15 00:24:17 -------
Похоже что будем продолжать писать длинные руководства как указывать кодировку 
при монтировании ;) Либо кто-то смилостивится и прибьёт utf8 в ядре по 
умолчанию, и части народа будет счастье.
------- Comment #13 From 2007-06-15 13:49:46 -------
Если Дима даст nmu - то патч будет - у меня сейчас катастрофически не хватает
времени на это.
------- Comment #14 From 2007-06-19 09:18:40 -------
Виталик, мож забрось сборку в Daedalus и кинь клич в sisyphus@, чтоб было проще
Диму убедить результатами более широкого тестирования?  Или я могу попробовать
это сделать.
------- Comment #15 From 2007-06-19 23:55:54 -------
Я попробую на днях. Дело в том, что эти годы mount уже уехал по коду, и патч 
переделывать видимо.
------- Comment #16 From 2013-08-15 17:44:43 -------
apparently wontfix